Retrieve all CentralMonitoring
This endpoint enables retrieving all CentralMonitoring using pagination and optional filters.
The token can be generated using the Authentication API.
Returned all requested CentralMonitoring successfully.
ID of the list of CentralMonitoring resources.
d9a741e7-1132-5b47-94d3-aabefa619c91The type of the resource.
The URL of the list of CentralMonitoring resources.
/centralBad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /central HTTP/1.1
Host: monitoring.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "d9a741e7-1132-5b47-94d3-aabefa619c91",
"type": "collection",
"href": "/central",
"items": [
{
"id": "23e6183d-6ab3-54de-b165-9b44c3589f4f",
"type": "centralmonitoring",
"href": "/central/23e6183d-6ab3-54de-b165-9b44c3589f4f",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"grafanaEndpoint": "https://grafana.logging.de-txl.ionos.com",
"products": [
"api-gateway",
"alb"
]
},
"properties": {
"enabled": false
}
}
]
}Last updated
Was this helpful?